Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#80 coLinux Error 88054c01

closed-rejected
nobody
None
5
2007-03-09
2006-01-04
Anonymous
No

I am getting this error when I try to run coLinux
0.6.2

exit code 88054c01
error - CO_RC_ERROR_ERROR, line 339, file
colinux/user/config.o (64)

Discussion

  • SiMechanic
    SiMechanic
    2006-03-26

    Logged In: YES
    user_id=1486137

    Same error on 0.6.3
    C:\coLinux>c:\coLinux\colinux-daemon.exe -t nt -c
    default.colinux.xml
    Cooperative Linux Daemon, 0.6.3
    Compiled on Sun Feb 5 20:25:03 2006

    daemon: exit code 8805bc01
    daemon: error - CO_RC_ERROR_ERROR, line 367, file
    colinux/user/config.o (64)

    C:\coLinux>colinux.bat

    C:\coLinux>cd c:
    C:\coLinux

    C:\coLinux>REM c:\coLinux\colinux-daemon.exe -t nt -c
    default.colinux.xml

    C:\coLinux>c:\coLinux\colinux-daemon.exe -t fltk -c
    default.colinux.xml
    Cooperative Linux Daemon, 0.6.3
    Compiled on Sun Feb 5 20:25:03 2006

    daemon: exit code 8805bc01
    daemon: error - CO_RC_ERROR_ERROR, line 367, file
    colinux/user/config.o (64)

     
  • Logged In: NO

    Please download and use 0.6.3 as it has several significant
    bug fixes to 0.6.2.

    The above error is generally saying that it can't find a
    file referenced in teh config or the config file itself.
    Double-check all your paths for all the files you are
    referencing on the command-line and in the configuration file.

     
  • SiMechanic
    SiMechanic
    2006-03-29

    Logged In: YES
    user_id=1486137

    I've only tried 0.6.3. Downloaded and reinstalled using a
    different bzip2 tool.
    Downloaded another debian filesystem. Got the same message.

    Disabled the swap file by changing the enable="true" to
    "false". This resulted in the blue-screen-of-death with a
    DRIVER_IRQL_NOT_LESS_OR_EQUAL message. xxx step:0x000000D1
    (0xf11cc01c, 0x000000ff, 0x00000008, 0xf11cc01c).

    Checked the files in the default xml file in a dos window.
    ---- start of debug log
    C:\coLinux>type Debug.log
    Microsoft Windows XP [Version 5.1.2600]
    (C) Copyright 1985-2001 Microsoft Corp.

    C:\>dir c:\coLinux\Debian-3.0r2.ext3-mit-backports.1gb
    Volume in drive C is WinXP
    Volume Serial Number is B4BA-6703

    Directory of c:\coLinux

    03/25/2006 11:01 AM 1,073,741,824
    Debian-3.0r2.ext3-mit-backports.1gb
    1 File(s) 1,073,741,824 bytes
    0 Dir(s) 61,033,480,192 bytes free

    C:\>dir c:\coLinux\swap_128Mb
    Volume in drive C is WinXP
    Volume Serial Number is B4BA-6703

    Directory of c:\coLinux

    03/25/2006 01:59 PM 134,217,728 swap_128Mb
    1 File(s) 134,217,728 bytes
    0 Dir(s) 61,033,480,192 bytes free

    C:\>cd coLinux

    C:\coLinux>ls
    Debian-20040605-mit.ext3.1610mb
    colinux-slirp-net-daemon.exe
    Debian-3.0r2.ext3-mit-backports.1gb colinux.bat
    Debug.log default.colinux.xml
    README.txt default.colinux.xml.old
    REM default.colinux.xml~
    Uninstall.exe default.colinux_golden.xml
    bzip2.exe initrd
    cofs.txt initrd.gz
    colinux-bridged-net-daemon.exe lib
    colinux-console-fltk.exe linux.sys
    colinux-console-nt.exe netdriver
    colinux-daemon.exe news.txt
    colinux-daemon.txt swap_128Mb
    colinux-debug-daemon.exe vmlinux
    colinux-net-daemon.exe vmlinux-modules.tar.gz
    ----- end of debug log

    ----- my default.colinux.xml
    <?xml version="1.0" encoding="UTF-8"?>
    <colinux>
    <!-- This line needs to point to your root file system.
    For example change "root_fs" to the name of the Debian
    image.
    Inside coLinux it will be /dev/cobd0

    Block Device Aliasing: You can now handle most dual-boot
    issues
    by adding an alias="devname" to block_device. i.e.
    alias="hda",
    alias="hda1" You can do this for SCSI as well as IDE. You
    need
    to be aware that if you add an alias, you need to change your
    bootparams root="devname" appropriately (you may need to use
    devfs naming in some situations). -->
    <!-- <block_device index="0"
    path="\DosDevices\c:\coLinux\root_fs" enabled="true" /> -->
    <block_device index="0"
    path="\DosDevices\c:\coLinux\Debian-3.0r2.ext3-mit-backports.1gb"
    enabled="true" />

    <!-- This line can specify a swap file if you wish, or
    an additional
    image file, it will /dev/cobd1. Additional
    block_devices can
    be specified in the same manner by increasing the index -->

    <!-- <block_device index="1"
    path="\DosDevices\c:\coLinux\swap_device" enabled="true" /> -->
    <block_device index="1"
    path="\DosDevices\c:\coLinux\swap_128Mb" enabled="true" />

    <!-- This is an experimental feature, it may not
    function completely.
    <cofs_device index="0" type="flat"
    path="\DosDevices\C:\" enabled="true" />
    -->

    <!-- bootparams allows you to pass kernel boot
    parameters -->
    <!-- <bootparams>root=/dev/cobd0</bootparams> -->
    <bootparams>root=/dev/cobd0 devfs=mount,dall
    ramdisk_size=8192 </bootparams>

    <!-- Initial RamDISK (initrd) support -->
    <!-- <initrd path="initrd.gz" /> -->
    <initrd path="initrd" />

    <!-- image allows you to specify the kernel to boot -->
    <image path="vmlinux" />

    <!-- this line allows you to specify the amount of
    memory available
    to coLinux -->
    <memory size="64" />

    <!-- This allows you to modify networking parameters,
    see the README
    or website or wiki for more information -->
    <!-- <network index="0" type="tap" /> -->
    <network index="0" type="Local Area Connection 2" />
    </colinux>
    ----------- end of my default.colinux.xml

    Still gives the same error message... What am I doing wrong
    or missing?

    I've been using the
    http://wiki.colinux.org/cgi-bin/GettingStarted instructions
    and the README.TXT document.

     
  • Logged In: YES
    user_id=30412

    CO_RC_ERROR_ERROR usually means config (usually a path or
    file name) is wrong.

    BSOD, usually means you need to modify the boot.ini with
    /NoExecute=AlwaysOff as a workaround for a bug with DEP on
    modern CPUs.

     
  • Logged In: YES
    user_id=30412

    Has this issue been resolved?

     
  • Henry N.
    Henry N.
    2006-09-13

    • status: open --> open-rejected
     
  • Henry N.
    Henry N.
    2006-09-13

    Logged In: YES
    user_id=579204

    : <initrd path="initrd" />
    : <bootparams>root=/dev/cobd0 devfs=mount,dall
    : ramdisk_size=8192 </bootparams>

    In config found an external bigger initrd file. This let
    me think it's from a distribution with non colinux kernel
    binaries.

     
  • Logged In: NO

    The following suggestion resulted in a login prompt.

    BSOD, usually means you need to modify the boot.ini with
    /NoExecute=AlwaysOff as a workaround for a bug with DEP on
    modern CPUs.

    Thank you gboutwell!

    The fix was not as painful as was expected.

     
  • Henry N.
    Henry N.
    2007-03-09

    Logged In: YES
    user_id=579204
    Originator: NO

    Problems with NoExecute was fixed in the current snapshots
    http://www.colinux.org/snapshots
    Boot.ini must no longer modify

     
  • Henry N.
    Henry N.
    2007-03-09

    • status: open-rejected --> closed-rejected